﻿$root = Join-Path "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)" "install"
$packageArgs = @{
	packageName   = $env:ChocolateyPackageName
	unzipLocation = $root
	fileType      = 'msi'
	url           = 'https://golang.org/dl/go1.13.13.windows-386.msi'
	checksum      = 'c603da652ebcc8323254ffe90cde3f14e3a6282d52202f17c107cdb19c28df63'
	checksumType  = 'SHA256'
	url64         = 'https://golang.org/dl/go1.13.13.windows-amd64.msi'
	checksum64    = 'ff9a5046d8001cf4e7bf2065ca8e91cc078f9feb3359f91ebd051ed542baf387'
	checksumType64= 'SHA256'

	silentArgs    = '/qn /norestart'
	validExitCodes= @(0, 3010, 1641)

}

New-Item -ItemType Directory -Force -Path $root | Out-Null
Install-ChocolateyPackage @packageArgs
